ignitionServer < 0.3.6-P1 Multiple Vulnerabilities

High Nessus Plugin ID 18291


The remote IRC server is affected by multiple vulnerabilities.


The remote host is running a version of the IgnitionServer IRC service which contains a bug in the way it handles locked channels, as well as a design error regarding the access validation checks.

An attacker may use this flaw to block an IRC operator out of a protected channel. A host may use this flaw to delete an entry created by a owner.


Upgrade to IgnitionServer 0.3.6-P1 or newer

See Also


Plugin Details

Severity: High

ID: 18291

File Name: ircd_ignition_ircop_vuln2.nasl

Version: $Revision: 1.7 $

Type: remote

Family: Misc.

Published: 2005/05/17

Modified: 2011/03/21

Dependencies: 11156

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

Exploit Available: true

Exploit Ease: No exploit is required

Vulnerability Publication Date: 2005/05/15

Reference Information

CVE: CVE-2005-1640, CVE-2005-1641

BID: 13656, 13654

OSVDB: 16625, 16626